#include <iostream>
#include <cmath>
using namespace std;

int main()
{
    long double p,q,r,L,R,c1=0;
    cin>>p>>q>>r>>L>>R;
    for (long double j=L;j<=R;j++)
    {
        if ((ceil(j/r)+ceil(j/q)+ceil(j/p))<=j)
            c1++;
    }
    cout<<c1;
    return 0;
}